Package org.opensaml.saml.saml1.core

# Interface ResponseAbstractType

All Superinterfaces:
  `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `XMLObject`

All Known Subinterfaces:
  `Response`

All Known Implementing Classes:
  `ResponseAbstractTypeImpl`, `ResponseImpl`

public interface ResponseAbstractType extends SignableSAMLObject
This interface defines the base class for type derived from the SAML1 `ResponseAbstractType` .

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ID_ATTRIB_NAME`
Name for the attribute which defines the ResponseID.
`static final String`
`INRESPONSETO_ATTRIB_NAME`
Name for the attribute which defines InResponseTo.
`static final String`
`ISSUEINSTANT_ATTRIB_NAME`
Name for the attribute which defines the IssueInstant.
`static final QName`
`ISSUEINSTANT_ATTRIB_QNAME`
QName for the attribute which defines the IssueInstant.
`static final String`
`MAJORVERSION_ATTRIB_NAME`
Name for the attribute which defines the MajorVersion (which must be "1".
`static final String`
`MINORVERSION_ATTRIB_NAME`
Name for the attribute which defines the MinorVersion.
`static final String`
`RECIPIENT_ATTRIB_NAME`
Name for the attribute which defines the Recipient.

## Method Summary

Modifier and Type
Method
Description
`String`
`getID()`
Get the ID.
`String`
`getInResponseTo()`
Return the InResponseTo (attribute).
`Instant`
`getIssueInstant()`
Return the Issue Instant (attribute).
`String`
`getRecipient()`
Return the Recipient (attribute).
`SAMLVersion`
`getVersion()`
Gets the SAML version for this message.
`void`
`setID(String id)`
Set the ID.
`void`
`setInResponseTo(String who)`
Set the InResponseTo (attribute).
`void`
`setIssueInstant(Instant date)`
Set the Issue Instant (attribute).
`void`
`setRecipient(String recipient)`
Set the Recipient (attribute).
`void`
`setVersion(SAMLVersion version)`
Sets the SAML version for this message.

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### INRESPONSETO_ATTRIB_NAME

@Nonnull @NotEmpty static final String INRESPONSETO_ATTRIB_NAME
Name for the attribute which defines InResponseTo.

See Also:
  - Constant Field Values

### MAJORVERSION_ATTRIB_NAME

@Nonnull @NotEmpty static final String MAJORVERSION_ATTRIB_NAME
Name for the attribute which defines the MajorVersion (which must be "1".

See Also:
  - Constant Field Values

### MINORVERSION_ATTRIB_NAME

@Nonnull @NotEmpty static final String MINORVERSION_ATTRIB_NAME
Name for the attribute which defines the MinorVersion.

See Also:
  - Constant Field Values

### ISSUEINSTANT_ATTRIB_NAME

@Nonnull @NotEmpty static final String ISSUEINSTANT_ATTRIB_NAME
Name for the attribute which defines the IssueInstant.

See Also:
  - Constant Field Values

### ISSUEINSTANT_ATTRIB_QNAME

@Nonnull static final QName ISSUEINSTANT_ATTRIB_QNAME
QName for the attribute which defines the IssueInstant.

### RECIPIENT_ATTRIB_NAME

@Nonnull @NotEmpty static final String RECIPIENT_ATTRIB_NAME
Name for the attribute which defines the Recipient.

See Also:
  - Constant Field Values

### ID_ATTRIB_NAME

@Nonnull @NotEmpty static final String ID_ATTRIB_NAME
Name for the attribute which defines the ResponseID.

See Also:
  - Constant Field Values

## Method Details

### getInResponseTo

@Nullable String getInResponseTo()
Return the InResponseTo (attribute).

Returns:
  the InResponseTo (attribute).

### setInResponseTo

void setInResponseTo(@Nullable String who)
Set the InResponseTo (attribute).

Parameters:
  `who` - what to set

### getID

@Nullable String getID()
Get the ID.

Returns:
  the ID

### setID

void setID(@Nullable String id)
Set the ID.

Parameters:
  `id` - what to set

### getVersion

@Nullable SAMLVersion getVersion()
Gets the SAML version for this message.

Returns:
  SAML version for this message

### setVersion

void setVersion(@Nullable SAMLVersion version)
Sets the SAML version for this message.

Parameters:
  `version` - the SAML version for this message

### getIssueInstant

@Nullable Instant getIssueInstant()
Return the Issue Instant (attribute).

Returns:
  the IssueInstant

### setIssueInstant

void setIssueInstant(@Nullable Instant date)
Set the Issue Instant (attribute). *

Parameters:
  `date` - what to set

### getRecipient

@Nullable String getRecipient()
Return the Recipient (attribute). .

Returns:
  the Recipient

### setRecipient

void setRecipient(@Nullable String recipient)
Set the Recipient (attribute). *

Parameters:
  `recipient` - what to set